You are here

What is the state of LibreOffice support for non capable SSE2, only SSE capable, CPU?

7 posts / 0 new
Last post
u21832
Offline
Last seen: 5 years 12 months ago
Joined: 2014-08-29 02:47
What is the state of LibreOffice support for non capable SSE2, only SSE capable, CPU?

My old machine's CPU supports only SSE, not SSE2. In the past, this issue prevented that CPU from running newer LibreOffice releases. There were attempts to fix the problem, and enable such CPUs to run newer LibreOffice releases. As far as I know, the provided solutions were only partial. Is this issue fully fixed with version 5?

John T. Haller
John T. Haller's picture
Online
Last seen: 19 min 34 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Try It

I'd suggest trying it. I don't develop LO, so I don't know. And I don't have a machine that old to try it myself (SSE2 was introduced in 2001 and added to AMD in 2003). Just be sure you get 5.0.0 and apply the Rev 2 patch for machines without the VC12 runtime.

Sometimes, the impossible can become possible, if you're awesome!

u21832
Offline
Last seen: 5 years 12 months ago
Joined: 2014-08-29 02:47
A go/no go test for 5.0.0, with the patch, succeeded.

Installing 5.0.0 and applying Rev 2 patch over my old working libreOffice version seem to yield a working libreOffice.
In the past, even though I managed to get what was than newer libreOffice version to run, I had an SSE2 issue with one MS xls file. I hope I will stumble again at that file soon.

Freehunter
Offline
Last seen: 1 month 2 weeks ago
Joined: 2014-06-26 10:21
Looks like it might have been

Looks like it might have been fixed with 4.4 and probably still OK in 5.0, haven't tried yet. For details see:

Bug 82430 – LO 4.3.0 for Windows crashes on CPUs that do not support SSE2: Application Error soffice.bin, version 4.3.0.4, module sal3.dll, version 4.3.0.4, address 0x000268d5. at https://bugs.documentfoundation.org/show_bug.cgi?id=82430

Status:               VERIFIED FIXED
Product:              LibreOffice
Component:            Installation
Version:
 (earliest affected)   4.3.0.4 release
Hardware:              x86 (IA32) Windows (All)

Note one entry, there may be future issues with XP

Michael Stahl 2015-04-22 19:07:07 UTC

guess i should mention this: 5.0 will be built with a different toolchain,
and if it's configured with the 8.x SDK it will flat out not run on Windows XP.

if you have any issue with 5.0 releases please file a new bug, don't re-open this one.
u21832
Offline
Last seen: 5 years 12 months ago
Joined: 2014-08-29 02:47
Indeed, patch is a must here to get it run on XP and no SSE2 CPU

Indeed, when installing LibreOffice Portable 5.0.0, the installation seem to succeed. I got the window that suggest to run the application, or just finish. However, accepting that window suggestion to run the application seem to do nothing. No error message, and and no application running. Manually running the application gave the same behavior: no error message, and and no application running. Only after installing the patch does LO seem to work as expected.

John T. Haller
John T. Haller's picture
Online
Last seen: 19 min 34 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Known

That's why I said: " Just be sure you get 5.0.0 and apply the Rev 2 patch for machines without the VC12 runtime."

Sometimes, the impossible can become possible, if you're awesome!

Wm ...
Offline
Last seen: 6 years 1 month ago
Joined: 2010-07-17 12:37
what next?

drifting a bit, have you made a plan for when LO no longer works on your kit?

I mean, have you worked out if, say, AbiWord and GnuMeric would provide an ongoing solution (I've no idea which bits of LO you use but Writer and Calc seem to be obvious).

Wm

Log in or register to post comments